'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
const vscode = require("vscode");
const rathena_1 = require("./rathena");
function associateFile(doc) {
    if ((0, rathena_1.isRathenaHeader)(doc.lineAt(0).text)) {
        vscode.languages.setTextDocumentLanguage(doc, 'rathena');
    }
}
function activate(context) {
    for (const doc of vscode.workspace.textDocuments) {
        associateFile(doc);
    }
    // Also associate file on open and save
    context.subscriptions.push(vscode.workspace.onDidOpenTextDocument(associateFile));
    context.subscriptions.push(vscode.workspace.onDidSaveTextDocument(associateFile));
}
exports.activate = activate;
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map