'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const rathena_1 = require("../rathena");
describe('isRathenaHeader', () => {
    it('Should not associate empty document', () => {
        assert.equal((0, rathena_1.isRathenaHeader)(''), false);
    });
    it('Should associate rAthena document with long header', () => {
        assert.equal((0, rathena_1.isRathenaHeader)('//===== rAthena Script ====='), true);
    });
    it('Should associate rAthena document with shorthand header', () => {
        assert.equal((0, rathena_1.isRathenaHeader)('//!rathena'), true);
    });
    it('Should not associate eAthena script', () => {
        assert.equal((0, rathena_1.isRathenaHeader)('//===== eAthena Script ====='), false);
    });
    it('Should not associate Hercules script', () => {
        assert.equal((0, rathena_1.isRathenaHeader)('//================= Hercules Script'), false);
    });
});
//# sourceMappingURL=textdocument.test.js.map